/*! phoscon-app 2024-01-19 */

import{serviceSend}from"./settings-gateway-machine.js";import{states,events}from"./settings-gateway-constants.js";import{productInfo}from"./settings-gateway-constants.js";export const GeneralHandlerView=Backbone.View.extend({template:_.template(document.getElementById("general-view-template").innerHTML),id:"generalSettings",className:"status-child-view",initialize:function(){let modelid;this.el.innerHTML=this.template(app.config),document.querySelector("#topViewDiv").appendChild(this.el),this.updateInfo=this.el.querySelector("#versionUpdateInfo"),this.updateBtn=this.el.querySelector("#versionUpdateBtn"),this.updateFwBtn=this.el.querySelector("#firmewareUpdateBtn"),this.updateArea=this.el.querySelector(".versionUpdateRow"),this.updateFwArea=this.el.querySelector(".firmwareUpdateRow"),this.fwUpdateButtonText=this.el.querySelector("#fwupdateVersion"),this.vendor=this.el.querySelector("#gatewayVendor"),this.firmware=this.el.querySelector("#gatewayFirmware"),this.gatewayVersionLabel=document.querySelector("#gatewaySwversion"),this.appVersionLabel=document.querySelector("#appSwversion"),this.appVersionLabelLeft=document.querySelector("#appSwversionLeft"),this.changelogElem=this.el.querySelector("#linkChangelog"),this.backupBtn=this.el.querySelector("#backupGw"),this.spinnerGear=this.el.querySelector("#spinnerGear"),this.scrollArea=document.querySelector("#topViewDiv"),this.listenTo(app.config,"change:swversion",this.checkForUpdate),this.listenTo(app.config,"change:swversion",this.setSoftwareVersion),this.listenTo(app.config,"change:fwupdatestate",this.checkForUpdate),this.listenTo(app.config,"change:fwversion",this.checkForUpdate),this.listenTo(app.config,"change:fwversion",this.setFirmware),this.listenTo(app.config,"change:fwneedupdate",this.checkForUpdate),this.listenTo(app.config,"change:rfconnected",this.checkForUpdate),this.listenTo(app.config,"change:rfconnected",this.setFirmware),app.on("gateway-status",this.gwObserver),app.config.has("devicename")?modelid=app.config.get("devicename"):app.config.has("modelid")&&(modelid=app.config.get("modelid"));let pInfo=productInfo[modelid]||productInfo.default;this.vendor.textContent=pInfo.vendor,this.setSoftwareVersion(),this.setFirmware(),this.checkForUpdate(),this.changelogLang()},gwObserver:function(e){if("reachable"===e.status);else if("not-reachable"===e.status){let openModal=document.querySelector(".show");openModal&&"updateModal"!==openModal.id&&openModal.classList.remove("show")}},events:{"click #changeLoginPw":function(){serviceSend(states.GENERAL_CHANGE_PASSWORD)},"click #backupGw":function(){serviceSend(states.GENERAL_BACKUP_GW)},"click #versionUpdateBtn":function(){serviceSend(states.UPDATE_SW)},"click #firmewareUpdateBtn":function(){serviceSend(states.UPDATE_FW)}},render:function(){return this},changelogLang:function(){var changelog="https://phoscon.de/changelog";"de"===app.lang?changelog+="/?L=0":changelog+="/?L=1",this.changelogElem.setAttribute("href",changelog)},setFirmware:function(){app.config.has("fwversion")&&!0===app.config.get("rfconnected")?this.firmware.textContent=app.config.get("fwversion").slice(2).toUpperCase():this.firmware.textContent=translate("txt_not_connected")},setSoftwareVersion:function(){let gwVersion=app.config.get("swversion"),appVersion="";if("APP_SMARTPHONE"===checkAppType())app.mobileAppVersion||(app.mobileAppVersion=localStorage.getItem("app.mobileAppVersion")),app.mobileAppVersion&&""!==app.mobileAppVersion&&(appVersion=app.mobileAppVersion);else{let appDate=document.querySelector("meta[data-generated]");if(appDate){appDate=appDate.getAttribute("data-generated"),appVersion=new Date(appDate).toLocaleDateString()}}this.gatewayVersionLabel.innerHTML=gwVersion,""===appVersion?(this.appVersionLabel.classList.add("hidden"),this.appVersionLabelLeft.classList.add("hidden")):this.appVersionLabel.innerHTML=appVersion},checkForUpdate:function(){},show:function(){screenMin(SCREEN_MIN_WIDTH_TABLET_PORTRAIT)&&openNav(),this.scrollArea.onscroll=function(){setShadowClass(this.scrollArea)},requestAnimationFrame(()=>{this.scrollArea.scrollTo(0,0),this.scrollArea.scrollTop=0,setShadowClass(this.scrollArea)}),this.el.classList.add("active-view"),document.querySelector("#product_lg_Svg").classList.remove("hideOnMobile")},hide:function(){this.el.classList.remove("active-view")}});export const AdvancedHandlerView=Backbone.View.extend({template:_.template(document.getElementById("advanced-view-template").innerHTML),id:"advancedSettings",className:"status-child-view",initialize:function(){this.el.innerHTML=this.template(app.config),this.scrollArea=document.querySelector("#topViewDiv"),document.querySelector("#topViewDiv").appendChild(this.el)},events:{},render:function(){return this},show:function(){this.el.classList.add("active-view"),document.querySelector("#product_lg_Svg").classList.add("hideOnMobile"),requestAnimationFrame(()=>{this.scrollArea.scrollTo(0,0),this.scrollArea.scrollTop=0,setShadowClass(this.scrollArea)})},hide:function(){this.el.classList.remove("active-view")}});export const PowerHandlerView=Backbone.View.extend({template:_.template(document.getElementById("power-view-template").innerHTML),id:"powerSettings",className:"status-child-view",initialize:function(){this.el.innerHTML=this.template(app.config),this.scrollArea=document.querySelector("#topViewDiv"),document.querySelector("#topViewDiv").appendChild(this.el)},events:{"click #restartGwBtn":function(){serviceSend(states.RESTART_GW)},"click #shutdownGwBtn":function(){serviceSend(states.SHUTDOWN_GW)}},render:function(){return this},show:function(){this.el.classList.add("active-view"),document.querySelector("#product_lg_Svg").classList.add("hideOnMobile"),requestAnimationFrame(()=>{this.scrollArea.scrollTo(0,0),this.scrollArea.scrollTop=0,setShadowClass(this.scrollArea)})},hide:function(){this.el.classList.remove("active-view")}});export const DiagnoseHandlerView=Backbone.View.extend({template:_.template(document.getElementById("diagnose-view-template").innerHTML),id:"diagnoseSettings",className:"status-child-view",initialize:function(){this.el.innerHTML=this.template(app.config),document.querySelector("#topViewDiv").appendChild(this.el),this.views=[],this.tableBody=this.el.querySelector("table tbody"),this.listenTo(app.zigbeeConfig,"change",this.render),this.listenTo(app,"clicked-load-zigbee-config",this.clickedLoad),this.render()},events:{},clickedLoad:function({model:model}){const that=this;this.loadTimer?console.log("already busy loading"):restUpdateResource(model,{apply:!0}).then(()=>{that.showLoading(model)}).catch(console.log)},showLoading:function(model){this.el.classList.add("loading");const that=this;this.loadTimer=setTimeout(()=>{this.loadTimer=null,restGetResource(app.zigbeeConfig).then(()=>{that.render(),that.show()}).catch(console.log).then(()=>{that.el.classList.remove("loading")})},6e4)},render:function(){app.zigbeeConfig.models.sort((a,b)=>a.id<b.id?1:-1).forEach(model=>{let view=this.views.find(v=>v.model===model);view?this.tableBody.removeChild(view.el):(view=new ZigBeeConfigView({model:model}),this.views.push(view.render())),this.tableBody.appendChild(view.el)})},show:function(){this.el.classList.add("active-view")},hide:function(){this.el.classList.remove("active-view")}});const ZigBeeConfigView=Backbone.View.extend({tagName:"tr",template:_.template($("#zigbee-config-item-template").html()),initialize:function(){this.listenTo(this.model,"change",this.render);var html=this.template(this.model.toJSON());this.$el.html(html)},events:{"click button":"load"},render:function(e){return this},load:function(){app.trigger("clicked-load-zigbee-config",{model:this.model})}});function versionCompare(newVersion,oldVersion){if(typeof newVersion+typeof oldVersion!="stringstring")return!1;for(var a=newVersion.split("."),b=oldVersion.split("."),i=0,len=Math.max(a.length,b.length);i<len;i++){if(a[i]&&!b[i]&&parseInt(a[i])>0||parseInt(a[i])>parseInt(b[i]))return"newVersion";if(b[i]&&!a[i]&&parseInt(b[i])>0||parseInt(a[i])<parseInt(b[i]))return"oldVersion"}return"sameVersion"}function setShadowClass(){let scrollArea=document.querySelector("#topViewDiv"),navigation=document.querySelector("#navigationDiv");document.querySelector(".main-head").classList[scrollArea.scrollTop>10?"add":"remove"]("shadow-top"),navigation.classList[scrollArea.scrollHeight-scrollArea.clientHeight-scrollArea.scrollTop>10?"add":"remove"]("shadow-bottom")}